Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class ChartPaper3DInfo

    java.lang.Object
      jet.report.xls.ChartPaperInfo
          jet.report.xls.ChartPaper3DInfo

    public class ChartPaper3DInfo

extends ChartPaperInfo

contains the information of chart paper in the file.

Constructor Summary
`ChartPaper3DInfo()`
`ChartPaper3DInfo(int x, int y, int width, int height, ChartAreaInfo paperAreaInfo, LineFormatInfo gridX, LineFormatInfo gridY, LineFormatInfo gridZ, AreaFormatInfo wall, AreaFormatInfo floor, AxisInfo xAxisInfo, YAxisInfo yAxisInfo, AxisInfo zAxisInfo)` Constructs class ChartPaperInfo and sets its fields appropriately.

Method Summary
`AreaFormatInfo` | `getFloor()` Get the Information of floor
`LineFormatInfo` | `getGridZ()` Get the Information of gridline of z axis
`AxisInfo` | `getZAxis()` Get the Information of z axis
`void` | `setFloor(AreaFormatInfo floor)` Set the Information of floor
`void` | `setGridZ(LineFormatInfo gridZ)` Set the Information of gridline of z axis
`void` | `setZAxis(AxisInfo zAxis)` Set the Information of z axis

Methods inherited from class jet.report.xls.ChartPaperInfo
`getGridX, getGridY, getHeight, getPaperArea, getWall, getWidth, getX, getXAxis, getY, getYAxis, setGridX, setGridY, setHeight, setPaperArea, setWall, setWidth, setX, setXAxis, setY, setYAxis`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartPaper3DInfo

    public ChartPaper3DInfo()

### ChartPaper3DInfo

    public ChartPaper3DInfo(int x,
                            int y,
                            int width,
                            int height,
                            ChartAreaInfo paperAreaInfo,
                            LineFormatInfo gridX,
                            LineFormatInfo gridY,
                            LineFormatInfo gridZ,
                            AreaFormatInfo wall,
                            AreaFormatInfo floor,
                            AxisInfo xAxisInfo,
                            YAxisInfo yAxisInfo,
                            AxisInfo zAxisInfo)

  Constructs class ChartPaperInfo and sets its fields appropriately.

  Parameters:
    `x` - The x-position of chart paper upper-left corner
    `y` - The y-position of chart paper upper-left corner
    `width` - Width of the chart paper
    `height` - Height of the chart paper
    `paperAreaInfo` - The information of the chart paper
    `gridX` - The information of the gridline in x axis
    `gridY` - The information of the gridline in y axis
    `gridZ` - The information of the gridline in z axis
    `wall` - The information of wall
    `floor` - The information of floor
    `xAxisInfo` - The information of x axis
    `yAxisInfo` - The information of y axis
    `zAxisInfo` - The information of z axis

Method Detail

### setGridZ

    public void setGridZ(LineFormatInfo gridZ)

  Set the Information of gridline of z axis

  Parameters:
    `gridZ` - the Information of gridline of z axis

### getGridZ

    public LineFormatInfo getGridZ()

  Get the Information of gridline of z axis

  Returns:
    the Information of gridline of z axis

### setFloor

    public void setFloor(AreaFormatInfo floor)

  Set the Information of floor

  Parameters:
    `floor` - the Information of floor

### getFloor

    public AreaFormatInfo getFloor()

  Get the Information of floor

  Returns:
    the Information of floor

### setZAxis

    public void setZAxis(AxisInfo zAxis)

  Set the Information of z axis

  Parameters:
    `zAxis` - the Information of z axis

### getZAxis

    public AxisInfo getZAxis()

  Get the Information of z axis

  Returns:
    the Information of z axis

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD